Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1816)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1817)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Renamed lsm calls.
 !
 ! Former revisions:
@@ -69,5 +69,5 @@
 !
 ! 1551 2015-03-03 14:18:16Z maronga
-! Allocation of land surface arrays is now done in the subroutine init_lsm_arrays,
+! Allocation of land surface arrays is now done in the subroutine lsm_init_arrays,
 ! which is part of land_surface_model.
 ! 
@@ -266,5 +266,5 @@
 
     USE land_surface_model_mod,                                                &
-        ONLY:  init_lsm, init_lsm_arrays, land_surface
+        ONLY:  lsm_init, lsm_init_arrays, land_surface
   
     USE ls_forcing_mod
@@ -678,5 +678,5 @@
 !-- Allocate land surface model arrays
     IF ( land_surface )  THEN
-       CALL init_lsm_arrays
+       CALL lsm_init_arrays
     ENDIF
 
@@ -1665,5 +1665,5 @@
     IF ( land_surface )  THEN
        CALL location_message( 'initializing land surface model', .FALSE. )
-       CALL init_lsm
+       CALL lsm_init
        CALL location_message( 'finished', .TRUE. )
     ENDIF
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1816)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1817)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Reading of &lsmpar moved to land_surface_model_mod.
 ! 
 ! Former revisions:
@@ -129,16 +129,4 @@
                vc_alpha, vc_gradient_normals, vc_mode, vc_size_x, vc_size_y,   &
                vc_size_z
-
-    USE land_surface_model_mod,                                                &
-        ONLY: alpha_vangenuchten, c_surface, canopy_resistance_coefficient,    &
-              conserve_water_content, field_capacity,                          &
-              f_shortwave_incoming, hydraulic_conductivity,                    &
-              lambda_surface_stable, lambda_surface_unstable, leaf_area_index, &
-              land_surface, l_vangenuchten, min_canopy_resistance,             &
-              min_soil_resistance, n_vangenuchten, pave_heat_capacity,         &
-              pave_depth, pave_heat_conductivity, residual_moisture,           &
-              root_fraction, saturation_moisture, wilting_point,               &
-              skip_time_do_lsm, soil_moisture, soil_temperature, soil_type,    &
-              vegetation_coverage, veg_type, zs, z0_eb, z0h_eb, z0q_eb
 
     USE kinds
@@ -206,23 +194,4 @@
                                   vc_gradient_normals, vc_mode, vc_size_x,     &
                                   vc_size_y, vc_size_z
-
-    NAMELIST /lsm_par/            alpha_vangenuchten, c_surface,               &
-                                  canopy_resistance_coefficient,               &
-                                  conserve_water_content,                      &
-                                  f_shortwave_incoming, field_capacity,        & 
-                                  hydraulic_conductivity,                      &
-                                  lambda_surface_stable,                       &
-                                  lambda_surface_unstable, leaf_area_index,    &
-                                  l_vangenuchten, min_canopy_resistance,       &
-                                  min_soil_resistance, n_vangenuchten,         &
-                                  pave_depth, pave_heat_capacity,              &
-                                  pave_heat_conductivity,                      &
-                                  residual_moisture, root_fraction,            &
-                                  saturation_moisture, skip_time_do_lsm,       &
-                                  soil_moisture, soil_temperature, soil_type,  &
-                                  vegetation_coverage, veg_type, wilting_point,& 
-                                  zs, z0_eb, z0h_eb, z0q_eb
-
-
 
     NAMELIST /particles_par/      alloc_factor, bc_par_b, bc_par_lr,           &
@@ -345,22 +314,4 @@
  40 CONTINUE
 
-!
-!-- Try to find land surface model package
-    REWIND ( 11 )
-    line = ' '
-    DO   WHILE ( INDEX( line, '&lsm_par' ) == 0 )
-       READ ( 11, '(A)', END=50 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read user-defined namelist
-    READ ( 11, lsm_par )
-
-!
-!-- Set flag that indicates that the land surface model is switched on
-    land_surface = .TRUE.
-
- 50 CONTINUE
 
 !
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1816)
+++ palm/trunk/SOURCE/parin.f90	(revision 1817)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Added call to land surface model for reading of &lsmpar
 ! 
 ! Former revisions:
@@ -208,4 +208,7 @@
     USE kinds
 
+    USE land_surface_model_mod,                                                &
+        ONLY: lsm_parin
+    
     USE model_1d,                                                              &
         ONLY:  damp_level_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
@@ -450,4 +453,10 @@
           ENDIF
 
+          
+!
+!--       Check if land surface model is used and read &lsmpar if required
+          CALL lsm_parin
+          
+          
 !
 !--       Read control parameters for optionally used model software packages
